/* This code generates a Go-like model of a double helical DNA */
#define MAIN
#include "defines.h"


void fill_rtf(void);
void read_sequence(char*,double,double);
void generate_dna_coordinates(void);
void generate_topology(void);
void write_crd(void);
void write_psf(void);
void write_refpdb(void);
void write_atomistic_dna_pdb();

long idum;

int dna2go(int argc, char **argv){

	FILE *fp;
	if(NULL==(fp=fopen(argv[1],"r"))){
		printf("The file %s does not exist or cannot be opened.\n",argv[1]);
		exit(1);
	}
	fclose(fp);

	/* Read in the coordinates from standards data  */ 
	fill_rtf();

	/* Read in the sequence from input file         */
	read_sequence(argv[1], 0.0, 9.0);

	/* Generate the coordiates using screw symmetry */
	generate_dna_coordinates();

	/* Determine the topology                       */
	generate_topology();

	write_crd();
	write_psf();
	write_refpdb();
	write_atomistic_dna_pdb();

	return(0);
}

