/* ===================================================== */
/* rtf.c                                                 */
/* This subroutine contains the topology information to  */
/* build the DNA molecule                                */
/* ===================================================== */
#include "defines.h"

void fill_rtf(void){

	PPP.x = -0.628;
	PPP.y =  8.896;
	PPP.z =  2.186;
	PPP.r = sqrt(PPP.x*PPP.x+PPP.y*PPP.y);
	PPP.theta = 94.0380 * PI / 180.0;
	PPP.theta_2 = -94.0380 * PI / 180.0;  //The theta of the opposite strand
	PPP.mass = 94.9696;
	PPP.site_id = 1;
	PPP.charge = -1.0;

	SSS.x = 2.365;
	SSS.y = 6.568;
	SSS.z = 1.280;
	SSS.r = sqrt(SSS.x*SSS.x+SSS.y*SSS.y);
	SSS.theta = 70.1971 * PI / 180;
	SSS.theta_2 = -70.1971 * PI / 180.0;
	SSS.mass = 83.1104;
	SSS.site_id = 2;
	SSS.charge = 0.0;

	/* =============================================== */
	/* These coordinates place the bases at the        */
	/* location of N1 for ADE, N3 for THY, N1 for GUA  */
	/* and N3 for CYT                                  */
	/* =============================================== */
	AAA.x = 0.575;
	AAA.y = 0.516;
	AAA.z = 0.051;
	AAA.r = sqrt(AAA.x*AAA.x+AAA.y*AAA.y);
	AAA.theta = 41.9045 * PI / 180.0;
	AAA.theta_2 = -41.89 * PI / 180.0;
	AAA.mass = 134.1220;
	AAA.site_id = 3;
	AAA.charge = 0.0;

	TTT.x = 0.159;
	TTT.y = 2.344;
	TTT.z = 0.191;
	TTT.r = sqrt(TTT.x*TTT.x+TTT.y*TTT.y);
	TTT.theta = 86.1194 * PI / 180.0;
	TTT.theta_2 = -86.11 * PI / 180.0;
	TTT.mass = 125.1078;
	TTT.site_id = 5;
	TTT.charge = 0.0;

	GGG.x = 0.628;
	GGG.y = 0.540;
	GGG.z = 0.053;
	GGG.r = sqrt(GGG.x*GGG.x+GGG.y*GGG.y);
	GGG.theta = 40.6913 * PI / 180.0;
	GGG.theta_2 = -40.69 * PI / 180.0;
	GGG.mass = 150.1214;
	GGG.site_id = 4;
	GGG.charge = 0.0;

	CCC.x = 0.199;
	CCC.y = 2.287;
	CCC.z = 0.187;
	CCC.r = sqrt(CCC.x*CCC.x+CCC.y*CCC.y);
	CCC.theta = 85.0270 * PI / 180.0;
	CCC.theta_2 = -85.02 * PI / 180.0;
	CCC.mass = 110.0964;
	CCC.site_id = 6;
	CCC.charge = 0.0;

}

